* Encoding: UTF-8.
/*********************************************************************************************************/
/*                                                                                                                                 */
/* This SPSS program will extract the United States Sentencing Commission's Mandatory */
/* Minimum Penalties for Identity Theft Offenders in the Federal Criminal Justice System    */
/* report file and create a SAS dataset.                                                                           */
/*                                                                                                                                 */
/* Prior to running the program you must update the DAT file location in the                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your           */
/* computer.                                                                                                                 */
/*                                                                                                                                 */
/* You must also update the file output location in the SAVE OUTFILE statement at the     */
/* end of the program to correspond to the folder you want the output file to be located.       */
/*                                                                                                                                 */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\ussc_id_mm_report_public.dat" LRECL=671 .

DATA LIST FILE=DATA/
   SENSPLT0 1-6             USSCIDN 7-13             AGE 14-15             
   AMENDYR 16-19            CIRCDIST 20-21           MONRACE 22            
   MONSEX 23                NEWCIT 24                NEWRACE 25            
   SENTIMP 26               SOURCES 27               XCRHISSR 28           
   YEARS 29                 GLMIN 30-33              IDMIN 34-36           
   STATMIN 37-39            SMIN1 40-42              SMIN2 43-45           
   SMIN3 46-48              SMIN4 49-51              SMIN5 52-54           
   SMIN6 55-57              SMIN7 58-60              SMIN8 61-63           
   SMIN9 64-65              SMIN10 66-68             SMIN11 69-70          
   SMIN12 71-73             SMIN13 74-75             SMIN14 76-77          
   SMIN15 78-79             SMIN16 80-81             SMIN17 82-83          
   SMIN18 84-85             SMIN19 86-87             SMIN20 88-89          
   SMIN21 90-92             SMIN22 93-94             SMIN23 95-96          
   SMIN24 97-98             SMIN25 99-100            SMIN26 101-102        
   SMIN27 103-104           SMIN28 105-107           SMIN29 108-109        
   SMIN30 110-111           SMIN31 112-113           SMIN32 114-115        
   SMIN33 116-117           SMIN34 118-119           SMIN35 120-121        
   SMIN36 122-123           SMIN37 124-125           SMIN38 126-127        
   SMIN39 128-129           SMIN40 130-131           SMIN41 132-133        
   SMIN42 134-135           SMIN43 136-137           SMIN44 138-139        
   SMIN45 140-141           SMIN46 142-143           SMIN47 144-145        
   SMIN48 146-147           SMIN49 148-149           SMIN50 150-151        
   SMIN51 152-153           SMIN52 154-155           SMIN53 156-157        
   SMIN54 158-159           SMIN55 160-161           SMIN56 162-163        
   SMIN57 164-165           SMIN58 166-167           SMIN59 168-169        
   SMIN60 170-171           SMIN61 172-173           SMIN62 174-175        
   SMIN63 176-177           SMIN64 178-179           SMIN65 180-181        
   SMIN66 182-183           SMIN67 184-185           SMIN68 186-187        
   SMIN69 188-189           SMIN70 190-191           SMIN71 192-193        
   SMIN72 194-195           SMIN73 196-197           SMIN74 198-199        
   SMIN75 200-201           SMIN76 202-203           SMIN77 204            
   SMIN78 205               SMIN79 206               SMIN80 207-208        
   SMIN81 209               SMIN82 210               SMIN83 211            
   SMIN84 212               SMIN85 213               SMIN86 214            
   SMIN87 215               SMIN88 216               SMIN89 217            
   SMIN90 218               SMIN91 219               SMIN92 220            
   SMIN93 221               SMIN94 222               SMIN95 223            
   SMIN96 224               SMIN97 225               SMIN98 226            
   SMIN99 227               SMIN100 228              SMIN101 229-230       
   SMIN102 231              SMIN103 232              SMIN104 233           
   SMIN105 234              SMIN106 235              SMIN107 236-237       
   SMIN108 238              SMIN109 239              SMIN110 240           
   SMIN111 241              SMIN112 242              SMIN113 243           
   SMIN114 244              SMIN115 245              SMIN116 246           
   SMIN117 247              SMIN118 248              SMIN119 249           
   SMIN120 250              SMIN121 251              SMIN122 252           
   SMIN123 253              SMIN124 254              SMIN125 255           
   SMIN126 256              SMIN127 257              SMIN128 258           
   SMIN129 259              SMIN130 260              SMIN131 261           
   SMIN132 262              SMIN133 263              SMIN134 264           
   SMIN135 265              SMIN136 266              SMIN137 267           
   SMIN138 268              SMIN139 269              SMIN140 270           
   SMIN141 271              SMIN142 272              SMIN143 273           
   SMIN144 274              SMIN145 275              SMIN146 276           
   SMIN147 277              SMIN148 278              SMIN149 279           
   SMIN150 280              SMIN151 281              SMIN152 282           
   SMIN153 283              SMIN154 284              SMIN155 285           
   SMIN156 286              SMIN157 287              SMIN158 288           
   SMIN159 289              SMIN160 290              SMIN161 291           
   SMIN162 292              SMIN163 293              SMIN164 294           
   SMIN165 295              SMIN166 296              SMIN167 297           
   SMIN168 298              SMIN169 299              SMIN170 300           
   SMIN171 301              SMIN172 302              SMIN173 303           
   SMIN174 304              SMIN175 305              SMIN176 306           
   SMIN177 307              SMIN178 308              SMIN179 309           
   SMIN180 310              SMIN181 311              SMIN182 312           
   SMIN183 313              SMIN184 314              SMIN185 315           
   SMIN186 316              SMIN187 317              SMIN188 318           
   SMIN189 319              SMIN190 320              SMIN191 321           
   SMIN192 322              SMIN193 323              SMIN194 324           
   SMIN195 325              SMIN196 326-327          SMIN197 328           
   SMIN198 329              SMIN199 330              SMIN200 331           
   SMIN201 332              SMIN202 333              SMIN203 334           
   SMIN204 335              SMIN205 336              SMIN206 337           
   SMIN207 338              SMIN208 339              SMIN209 340           
   SMIN210 341              SMIN211 342              SMIN212 343           
   SMIN213 344              SMIN214 345              SMIN215 346           
   SMIN216 347              SMIN217 348              SMIN218 349           
   SMIN219 350              SMIN220 351              SMIN221 352           
   SMIN222 353              SMIN223 354              SMIN224 355           
   SMIN225 356              SMIN226 357              SMIN227 358           
   SMIN228 359              SMIN229 360              SMIN230 361           
   SMIN231 362              SMIN232 363              SMIN233 364           
   SMIN234 365              SMIN235 366              SMIN236 367           
   SMIN237 368              SMIN238 369              SMIN239 370           
   SMIN240 371              SMIN241 372              SMIN242 373           
   SMIN243 374              SMIN244 375              SMIN245 376           
   SMIN246 377              SMIN247 378              ABUSHI 379            
   ADJ_BHI 380-381          ADJ_CHI 382-383          ADJ_DHI 384           
   ADJ_EHI 385-386          ADJ_FHI 387              ADJ_GHI 388           
   ADJ_HHI 389-390          ADJ_IHI 391              ADJ_JHI 392-393       
   ADJ_KHI 394              ADJ_LHI 395-396          ADJ_MHI 397           
   ADJ_NHI 398              ADJ_OHI 399              ADJ_PHI 400           
   AGGROLHI 401             BASEHI 402-403           MITROLHI 404-405      
   OBSTRCHI 406             GDLINEHI 407-412 (A)     LOSSHI 413-422        
   BOOKERCD 423-424         ONLY1028A 425            IS1028A 426           
   BOOKER2 427              FY 428-431               ADJ_QHI 432-433       
   MONCIRC 434-435          SMIN248 436              SMIN249 437           
   SMIN250 438              SMIN251 439              SMIN252 440           
   SMIN253 441              SMIN254 442              SMIN255 443           
   SMIN256 444              SMIN257 445              SMIN258 446           
   SMIN259 447              SMIN260 448              SMIN261 449           
   SMIN262 450              SMIN263 451              SMIN264 452           
   SMIN265 453              SMIN266 454              SMIN267 455           
   SMIN268 456              SMIN269 457              SMIN270 458           
   SMIN271 459              SMIN272 460              SMIN273 461           
   SMIN274 462              SMIN275 463              SMIN276 464           
   SMIN277 465              SMIN278 466              SMIN279 467           
   SMIN280 468              SMIN281 469              SMIN282 470           
   SMIN283 471              SMIN284 472              SMIN285 473           
   SMIN286 474              SMIN287 475              SMIN288 476           
   SMIN289 477              SMIN290 478              SMIN291 479           
   SMIN292 480              SMIN293 481              SMIN294 482           
   SMIN295 483              SMIN296 484              SMIN297 485           
   SMIN298 486              SMIN299 487              SMIN300 488           
   SMIN301 489              SMIN302 490              SMIN303 491           
   SMIN304 492              SMIN305 493              SMIN306 494           
   SMIN307 495              SMIN308 496              SMIN309 497           
   SMIN310 498              SMIN311 499              SMIN312 500           
   SMIN313 501              SMIN314 502              SMIN315 503           
   SMIN316 504              SMIN317 505              SMIN318 506           
   SMIN319 507              SMIN320 508              SMIN321 509           
   SMIN322 510              SMIN323 511              SMIN324 512           
   SMIN325 513              SMIN326 514              SMIN327 515           
   SMIN328 516              SMIN329 517              SMIN330 518           
   SMIN331 519              SMIN332 520              SMIN333 521           
   SMIN334 522              SMIN335 523              SMIN336 524           
   SMIN337 525              SMIN338 526              SMIN339 527           
   SMIN340 528              SMIN341 529              SMIN342 530           
   SMIN343 531              SMIN344 532              SMIN345 533           
   SMIN346 534              SMIN347 535              SMIN348 536           
   SMIN349 537              SMIN350 538              SMIN351 539           
   SMIN352 540              SMIN353 541              SMIN354 542           
   SMIN355 543              SMIN356 544              SMIN357 545           
   SMIN358 546              SMIN359 547              SMIN360 548           
   SMIN361 549              SMIN362 550              SMIN363 551           
   SMIN364 552              SMIN365 553              SMIN366 554           
   SMIN367 555              SMIN368 556              SMIN369 557           
   SMIN370 558              SMIN371 559              SMIN372 560           
   SMIN373 561              SMIN374 562              SMIN375 563           
   SMIN376 564              SMIN377 565              SMIN378 566           
   SMIN379 567              SMIN380 568              SMIN381 569           
   SMIN382 570              SMIN383 571              SMIN384 572           
   SMIN385 573              SMIN386 574              SMIN387 575           
   SMIN388 576              SMIN389 577              SMIN390 578           
   SMIN391 579              SMIN392 580              SMIN393 581           
   SMIN394 582              SMIN395 583              ADJ_RHI 584-585       
   ADJ_SHI 586              ADJ_THI 587              NEWCNVTN 588          
   NOCOUNTS_AGGID 589-590   MULTIPLE_AGGID 591       IDMM_RELIEF 592       
   CH2_COUNT_YN 593         CH2_GDLINE 594-598 (A)   ECON_TYPE 599-600     
   ECON_TYPE_OTHER 601-602   MULT_CONSEC_YN 603       MULT_CONSEC_24MO 604  
   MULT_TEXT 605-653 (A)    CH2_COUNT1 654-659 (A)   CH2_COUNT2 660-665 (A)
   CH2_COUNT3 666-671 (A) .


FORMATS
  SENSPLT0 (F7.2) /        LOSSHI (F11.2) / .
    

SAVE OUTFILE='.\ussc_id_mm_report_public.sav'.
